/****************************************************************************

    This file is part of The Newtonator soft synth.

    Copyright (C) 2010-2011 Michael Bechard <mbechard@users.sourceforge.net>

    The Newtonator is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The Newtonator is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with The Newtonator.  If not, see <http://www.gnu.org/licenses/>.

****************************************************************************/

#ifndef CACHEDPRECOMPUTEDPOW_H
#define CACHEDPRECOMPUTEDPOW_H

#include "CachedPrecomputed.h"


class CachedPrecomputedPow : public CachedPrecomputed
{
    public:

    CachedPrecomputedPow(stk::StkFloat param1, stk::StkFloat param2, stk::StkFloat ret);
    virtual ~CachedPrecomputedPow();

    protected:

    virtual stk::StkFloat RunComputation(stk::StkFloat param1, stk::StkFloat param2, stk::StkFloat param3);
};

#endif // CACHEDPRECOMPUTEDPOW_H
